
Katello - Bug #4832

Deleting user ends up with traceback

03/25/2014 10:33 AM - Jiří Mikulka

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When one wants to delete an user on <hostname>/users page, it ends up with a traceback:

[...]

ActiveRecord::StatementInvalid

PGError: ERROR: column katello_content_view_histories.user_id does not exist LINE 1: ...s".* FROM

"katello_content_view_histories" WHERE "katello_c... ^ : SELECT "katello_content_view_histories".* FROM

"katello_content_view_histories" WHERE "katello_content_view_histories"."user_id" = 3

app/controllers/users_controller.rb:55:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

[...]

And the user is not deleted, but the account is still active and can be used for logging in.

History

#1 - 03/25/2014 10:35 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Subject changed from Deleteing user ends up with traceback to Deleting user ends up with traceback

- Triaged set to No

#2 - 03/25/2014 10:53 AM - Jiří Mikulka

Ha! I've just discovered that it's just enough to wait 15 minutes to make it happen! I guess that deleting few entries in the database must be fast, no

one wants to spend 15 minutes waiting for such trivial action to be completed.

Jiří Mikulka wrote:

When one wants to delete an user on <hostname>/users page, it ends up with a traceback:

[...]

ActiveRecord::StatementInvalid

PGError: ERROR: column katello_content_view_histories.user_id does not exist LINE 1: ...s".* FROM "katello_content_view_histories" WHERE

"katello_c... ^ : SELECT "katello_content_view_histories".* FROM "katello_content_view_histories" WHERE

"katello_content_view_histories"."user_id" = 3

app/controllers/users_controller.rb:55:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

[...]

And the user is not deleted, but the account is still active and can be used for logging in.

#3 - 04/25/2014 11:56 AM - Justin Sherrill

- translation missing: en.field_release set to 13
#4 - 06/04/2014 01:30 PM - Eric Helms

- Status changed from New to Closed

- Triaged changed from No to Yes

Tested this locally by creating a user and then deleting them and was not able to reproduce this issue.
